搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

I have no idea how to make Java work with Firefox. I have 64 bit computer Win 7.

  • 7 回覆
  • 1 有這個問題
  • 358 次檢視
  • 最近回覆由 James

more options

I received notice to update Java. But when I tried, it failed- something about Java not working as a plug-in with Firefox. I'm old- I'm 73 and to me, a plug-in goes into a wall socket. I tried reading the article by Firefox about how to fix it, but it might as well be written in Chinese. Please help- I need very simple instructions starting from the very beginning: exactly what commands to use. thanks

被選擇的解決方法

Lynnlie said

Thank you James. The little icon in my bottom tray just popped up with the message that an update was available.

It sounds like this is a update notice either from Java update or from Windows. You likely do not have any applications on Windows that uses the Java so you may be better off just uninstalling Java.

從原來的回覆中察看解決方案 👍 1

所有回覆 (7)

more options

This may be your problem,

Firefox v52+ disables all plugins except for Flash Why do Java, Silverlight, Adobe Acrobat and other plugins no longer work? {web link}


What do you need Java for?

more options

I don't know what Java does, but it said it needed to be updated.

more options

FredMcD said

Firefox v52+ disables all plugins except for Flash

A correction to be accurate, it is Firefox 52 and later Releases that only allows the Flash Player Plugin to run as per article.

Firefox 52 ESR does allow other NPAPI Plugins to run in Firefox however on Windows you will need the 32-bit Firefox as Win64 only allows the Flash and Silverlight Plugins to run.

However the old Firefox 52 ESR branch is coming to an end as Firefox 52.9.0esr out on June 26 will be the last major update.

more options

Lynnlie said

I don't know what Java does, but it said it needed to be updated.

What page says Java needs to be updated?

Websites should not be making use of the java Plugin from Oracle anymore as only IE and Firefox 52 ESR (32-bit on Windows) still allows the vulnerable Java Plugin to run.

Even Chromium, Chrome and Opera completely dropped support of all NPAPI Plugins back in Sept 2015 which includes Java so even less reasons for websites to still insist on using the Java Plugin.

Also note the Java Plugin from Oracle and the JavaScript in Firefox are two separate things as JavaScript does not need Java to run. http://kb.mozillazine.org/JavaScript_is_not_Java

由 James 於 修改

more options

Thank you James. The little icon in my bottom tray just popped up with the message that an update was available. So it only runs if I use internet explorer? You must be young because you're real smart.

more options

I get that as well if you really want to update java the version is no 10.0.1 and you must go to the java site and download and install the latest version but before doing that you should uninstall any older java before install the newest version.

more options

選擇的解決方法

Lynnlie said

Thank you James. The little icon in my bottom tray just popped up with the message that an update was available.

It sounds like this is a update notice either from Java update or from Windows. You likely do not have any applications on Windows that uses the Java so you may be better off just uninstalling Java.